FreeMat

- Main Page
- Related Pages

vtkDataObjectReader

Section: Visualization Toolkit IO Classes

# Usage

vtkDataObjectReader is a source object that reads ASCII or binary field data files in vtk format. Fields are general matrix structures used represent complex data. (See text for format details). The output of this reader is a single vtkDataObject. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

To create an instance of class vtkDataObjectReader, simply invoke its constructor as follows

      obj = vtkDataObjectReader

# Methods

The class vtkDataObjectReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataObjectReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataObjectReader = obj.NewInstance ()`
- `vtkDataObjectReader = obj.SafeDownCast (vtkObject o)`
- `vtkDataObject = obj.GetOutput ()` - Get the output field of this reader.
- `vtkDataObject = obj.GetOutput (int idx)` - Get the output field of this reader.
- `obj.SetOutput (vtkDataObject )` - Get the output field of this reader.